import es
import time
import random
import playerlib

##############################################################################################################################
##################################### Start of Options #######################################################################
##############################################################################################################################

admins = ['STEAMID1', 'STEAMID2', 'STEAMID3']      # Steamids that not get the Models

springmonths = '03,04,05'                          # The Spring Months e.g March = 03
summermonths = '06,07,08'                          # The Summer Months e.g June = 06
autumnmonths = '09,10,11'                          # The Autumn Months e.g September = 09
wintermonths = '12,01,02'                          # The Winter Months e.g December = 12


##############################################################################################################################
##################################### End of Options #########################################################################
##############################################################################################################################




downloads1 = ['materials/models/player/slow/madcow_v2/mad cow.vmt', 'materials/models/player/slow/madcow_v2/mad cow.vtf', 'materials/models/player/slow/madcow_v2/slow_bump.vtf', 'models/player/slow/madcow_v2/madcow.dx80.vtx', 'models/player/slow/madcow_v2/madcow.dx90.vtx', 'models/player/slow/madcow_v2/madcow.mdl', 'models/player/slow/madcow_v2/madcow.phy', 'models/player/slow/madcow_v2/madcow.sw.vtx', 'models/player/slow/madcow_v2/madcow.vvd']
downloads2 = ['models/player/hhp227/bunnygirl_v2/bunnygirl_v2.mdl', 'models/player/hhp227/bunnygirl_v2/bunnygirl_v2.phy', 'models/player/hhp227/bunnygirl_v2/bunnygirl_v2.vvd', 'models/player/hhp227/bunnygirl_v2/bunnygirl_v2.sw.vtx', 'models/player/hhp227/bunnygirl_v2/bunnygirl_v2.dx80.vtx', 'models/player/hhp227/bunnygirl_v2/bunnygirl_v2.dx90.vtx', 'materials/models/player/hhp227/bunnygirl_v2/texture01.vtf', 'materials/models/player/hhp227/bunnygirl_v2/texture01.vmt', 'materials/models/player/hhp227/bunnygirl_v2/normal_texture01.vtf', 'materials/models/player/hhp227/bunnygirl_v2/texture02.vtf', 'materials/models/player/hhp227/bunnygirl_v2/texture02.vmt', 'materials/models/player/hhp227/bunnygirl_v2/normal_texture02.vtf', 'materials/models/player/hhp227/bunnygirl_v2/texture03.vtf', 'materials/models/player/hhp227/bunnygirl_v2/texture03.vmt', 'materials/models/player/hhp227/bunnygirl_v2/texture04.vtf', 'materials/models/player/hhp227/bunnygirl_v2/texture04.vmt', 'materials/models/player/hhp227/bunnygirl_v2/normal_texture04.vtf', 'materials/models/player/hhp227/bunnygirl_v2/texture05.vtf', 'materials/models/player/hhp227/bunnygirl_v2/texture05.vmt', 'materials/models/player/hhp227/bunnygirl_v2/texture06.vtf', 'materials/models/player/hhp227/bunnygirl_v2/texture06.vmt', 'materials/models/player/hhp227/bunnygirl_v2/eyeball_l.vtf', 'materials/models/player/hhp227/bunnygirl_v2/eyeball_r.vtf', 'materials/models/player/hhp227/bunnygirl_v2/eyeball_r.vmt', 'materials/models/player/hhp227/bunnygirl_v2/eyeball_l.vmt', 'materials/models/player/hhp227/bunnygirl_v2/pupil.vtf']
downloads3 = ['materials/models/player/slow/flamingo/slow_flamingo.vmt', 'materials/models/player/slow/flamingo/slow_flamingo.vtf', 'materials/models/player/slow/flamingo/slow_flamingo_arme.vmt', 'materials/models/player/slow/flamingo/slow_flamingo_arme.vtf', 'materials/models/player/slow/flamingo/slow_flamingo_arme_bump.vtf', 'materials/models/player/slow/flamingo/slow_flamingo_bump.vtf', 'models/player/slow/flamingo/flamingo.dx80.vtx', 'models/player/slow/flamingo/flamingo.dx90.vtx', 'models/player/slow/flamingo/flamingo.mdl', 'models/player/slow/flamingo/flamingo.phy', 'models/player/slow/flamingo/flamingo.sw.vtx', 'models/player/slow/flamingo/flamingo.vvd']
downloads4 = ['materials/models/player/slow/banana_joe/slow_body.vmt', 'materials/models/player/slow/banana_joe/slow_body.vtf', 'materials/models/player/slow/banana_joe/slow_body_bump.vtf', 'materials/models/player/slow/banana_joe/slow_eyes.vmt', 'materials/models/player/slow/banana_joe/slow_eyes.vtf', 'materials/models/player/slow/banana_joe/slow_limbs.vmt', 'materials/models/player/slow/banana_joe/slow_limbs.vtf', 'materials/models/player/slow/banana_joe/slow_limbs_bump.vtf', 'materials/models/player/slow/banana_joe/slow_mouth.vmt', 'materials/models/player/slow/banana_joe/slow_mouth.vtf', 'models/player/slow/banana_joe/slow.dx80.vtx', 'models/player/slow/banana_joe/slow.dx90.vtx', 'models/player/slow/banana_joe/slow.mdl', 'models/player/slow/banana_joe/slow.phy', 'models/player/slow/banana_joe/slow.sw.vtx', 'models/player/slow/banana_joe/slow.vvd']
downloads5 = ['materials/models/player/slow/chucky/slow_chucky_bump.vtf', 'materials/models/player/slow/chucky/slow_chucky_haare.vmt', 'materials/models/player/slow/chucky/slow_chucky_haare.vtf', 'materials/models/player/slow/chucky/slow_klinge.vmt', 'materials/models/player/slow/chucky/slow_klinge.vtf', 'materials/models/player/slow/chucky/slow_knife.vmt', 'materials/models/player/slow/chucky/slow_knife.vtf', 'materials/models/player/slow/chucky/slow_knife_bump.vtf', 'materials/models/player/slow/chucky/slow_zombie_doll.vmt', 'materials/models/player/slow/chucky/slow_zombie_doll.vtf', 'models/player/slow/chucky_v3/slow.dx80.vtx', 'models/player/slow/chucky_v3/slow.dx90.vtx', 'models/player/slow/chucky_v3/slow.mdl', 'models/player/slow/chucky_v3/slow.phy', 'models/player/slow/chucky_v3/slow.sw.vtx', 'models/player/slow/chucky_v3/slow.vvd']
downloads6 = ['models/player/slow/chainsaw/chainsaw.dx80.vtx', 'models/player/slow/chainsaw/chainsaw.dx90.vtx', 'models/player/slow/chainsaw/chainsaw.mdl', 'models/player/slow/chainsaw/chainsaw.phy', 'models/player/slow/chainsaw/chainsaw.sw.vtx', 'models/player/slow/chainsaw/chainsaw.vvd', 'models/player/slow/chainsaw/chainsaw_head.dx80.vtx', 'models/player/slow/chainsaw/chainsaw_head.dx90.vtx', 'models/player/slow/chainsaw/chainsaw_head.mdl', 'models/player/slow/chainsaw/chainsaw_head.phy', 'models/player/slow/chainsaw/chainsaw_head.sw.vtx', 'models/player/slow/chainsaw/chainsaw_head.vvd', 'models/player/slow/chainsaw/chainsaw_hs.dx80.vtx', 'models/player/slow/chainsaw/chainsaw_hs.dx90.vtx', 'models/player/slow/chainsaw/chainsaw_hs.mdl', 'models/player/slow/chainsaw/chainsaw_hs.phy', 'models/player/slow/chainsaw/chainsaw_hs.sw.vtx', 'models/player/slow/chainsaw/chainsaw_hs.vvd', 'materials/models/player/slow/chainsaw/part1.vmt', 'materials/models/player/slow/chainsaw/part1.vtf', 'materials/models/player/slow/chainsaw/part1_normal.vtf', 'materials/models/player/slow/chainsaw/part2.vmt', 'materials/models/player/slow/chainsaw/part3.vmt', 'materials/models/player/slow/chainsaw/part3.vtf', 'materials/models/player/slow/chainsaw/part3_normal.vtf', 'materials/models/player/slow/chainsaw/part4.vmt', 'materials/models/player/slow/chainsaw/part4.vtf', 'materials/models/player/slow/chainsaw/part4_normal.vtf', 'materials/models/player/slow/chainsaw/part5.vmt', 'materials/models/player/slow/chainsaw/part5.vtf', 'materials/models/player/slow/chainsaw/part5_normal.vtf', 'materials/models/player/slow/chainsaw/part6.vmt', 'materials/models/player/slow/chainsaw/part6.vtf', 'materials/models/player/slow/chainsaw/part6_normal.vtf']
downloads7 = ['models/player/admin/xmas_grinch/terror.dx80.vtx', 'models/player/admin/xmas_grinch/terror.dx90.vtx', 'models/player/admin/xmas_grinch/terror.mdl', 'models/player/admin/xmas_grinch/terror.phy', 'models/player/admin/xmas_grinch/terror.sw.vtx', 'models/player/admin/xmas_grinch/terror.vvd', 'models/player/admin/xmas_grinch/terror.xbox.vtx', 'materials/models/player/admin/xmas_grinch/t_phoenix.vmt', 'materials/models/player/admin/xmas_grinch/t_phoenix.vtf']
downloads8 = ['materials/models/player/slow/santa_claus/slow_santa.vmt', 'materials/models/player/slow/santa_claus/slow_santa.vtf', 'materials/models/player/slow/santa_claus/slow_santa_bump.vtf', 'materials/models/player/slow/santa_claus/slow_santa_cloth.vmt', 'materials/models/player/slow/santa_claus/slow_santa_cloth.vtf', 'materials/models/player/slow/santa_claus/slow_santa_detail.vtf', 'models/player/slow/santa_claus/slow_fix.dx80.vtx', 'models/player/slow/santa_claus/slow_fix.dx90.vtx', 'models/player/slow/santa_claus/slow_fix.mdl', 'models/player/slow/santa_claus/slow_fix.phy', 'models/player/slow/santa_claus/slow_fix.sw.vtx', 'models/player/slow/santa_claus/slow_fix.vvd']

info = es.AddonInfo()
info.name = "4Seasons"
info.version = "1.1"
info.author = "Popoklopsi"
info.url = "http://hlpr.cs-clan.org/"
info.basename = "4seasons"
info.description = "Change every new season the Models"

def load():
	es.set("%s" % info.basename,info.version)
	es.makepublic("%s" % info.basename)
	download()

def es_map_start(ev):
	download()
	
def round_start(ev):
	if time.strftime('%m') == springmonths[0] +springmonths[1]: 
		if time.strftime('%d') == '01':
			es.msg('#multi', '#lightgreen Today is the #green First Day #lightgreen of the #green Springmonths #lightgreen the Models #green changed')
	if time.strftime('%m') == summermonths[0] + summermonths[1]:
		if time.strftime('%d') == '01':
			es.msg('#multi', '#lightgreen Today is the #green First Day #lightgreen of the #green Summermonths #lightgreen the Models #green changed')
	if time.strftime('%m') == autumnmonths[0] + autumnmonths[1]:
		if time.strftime('%d') == '01':
			es.msg('#multi', '#lightgreen Today is the #green First Day #lightgreen of the #green Autumnmonths #lightgreen the Models #green changed')
	if time.strftime('%m') == wintermonths[0] + wintermonths[1]:
		if time.strftime('%d') == '01':
			es.msg('#multi', '#lightgreen Today is the #green First Day #lightgreen of the #green Wintermonths #lightgreen the Models #green changed')

def player_spawn(ev):
	ran = int(ev['es_userteam'])
	player = playerlib.getPlayer(ev['userid'])
	if ev['es_steamid'] not in admins:
		if time.strftime('%m') in springmonths:
			if ran == 2:
				player.set("model", 'player/slow/madcow_v2/madcow.mdl')
			if ran == 3:
				player.set("model", 'player/hhp227/bunnygirl_v2/bunnygirl_v2.mdl')
		if time.strftime('%m') in summermonths:
			if ran == 2:
				player.set("model", 'player/slow/banana_joe/slow.mdl')
			if ran == 3:
				player.set("model", 'player/slow/flamingo/flamingo.mdl')
		if time.strftime('%m') in autumnmonths:
			if ran == 2:
				player.set("model", 'player/slow/chainsaw/chainsaw.mdl')
			if ran == 3:
				player.set("model", 'player/slow/chucky_v3/slow.mdl')
		if time.strftime('%m') in wintermonths:
			if ran == 2:
				player.set("model", 'player/slow/santa_claus/slow_fix.mdl')
			if ran == 3:
				player.set("model", 'player/admin/xmas_grinch/terror.mdl')
			
def download():
	if time.strftime('%m') in springmonths:
		for x in downloads1:
			es.stringtable("downloadables", x)
		for x in downloads2:
			es.stringtable("downloadables", x)
	if time.strftime('%m') in summermonths:
		for x in downloads3:
			es.stringtable("downloadables", x)
		for x in downloads4:
			es.stringtable("downloadables", x)
	if time.strftime('%m') in autumnmonths:
		for x in downloads5:
			es.stringtable("downloadables", x)
		for x in downloads6:
			es.stringtable("downloadables", x)
	if time.strftime('%m') in wintermonths:
		for x in downloads7:
			es.stringtable("downloadables", x)
		for x in downloads8:
			es.stringtable("downloadables", x)
		